html { 
  background: #199268 url(background.jpg) no-repeat center center fixed; 
  -webkit-background-size: cover;
  -moz-background-size: cover;
  -o-background-size: cover;
  background-size: cover;
  height: 100%;
}

body {
  font-family: 'Raleway', sans-serif;
  color: white;
}

h1 {
  font-size: 10em;
  text-shadow: 6px 6px 0px rgba(0,0,0,0.5);
}

.social-icons {
    display: flex;
}
.social-icon {
    display: flex;
    align-items: center;
    justify-content: center;
    position: relative;
    width: 80px;
    height: 80px;
    margin: 0 0.5rem;
    border-radius: 50%;
    cursor: pointer;
    font-size: 2.5rem;
    text-decoration: none;
    transition: all 0.15s ease;
    box-shadow: inset 1px 1px 2px #90a4ae,
                inset -1px -1px 2px white,
                5px 5px 10px #90a4ae,
                -5px -5px 10px white;
    border: 6px solid rgba(230,228,228);            
}

/* colours */
.social-icon--linkedin{
    background: #0077B5;
    color: #fff;
}
.social-icon--mastodon{
    background: #594cd9;
    color: white;
}
.social-icon--signal{
  background: #3b45fd;
  color: white;
}

/* label on hover */
.tooltip {
  display: block;
  position: absolute;
  top: 0;
  left: 50%;
  padding: 0.8rem 1rem;
  border-radius: 12px;
  font-size: 0.8rem;
  font-weight: bold;
  opacity: 0;
  pointer-events: none;
  text-transform: uppercase;
  transform: translate(-50%, -100%);
  transition: all 0.3s ease;
  z-index: 1;
}
.tooltip:after {
  display: block;
  position: absolute;
  bottom: 1px;
  left: 50%;
  width: 0;
  height: 0;
  content: "";
  border: solid;
  border-width: 10px 10px 0 10px;
  border-color: transparent;
  transform: translate(-50%, 100%);
}
.social-icon:hover .tooltip {
    visibility: visible;
    opacity: 1;
    transform: translate(-50%, -150%);
}
/* label colours */
.social-icon--mastodon .tooltip{
    background: #594cd9;
    columns: currentColor;
}
.social-icon--mastodon .tooltip:after{
    border-top-color: #594cd9;
}
.social-icon--linkedin .tooltip{
    background: #0077B5;
    columns: currentColor;
}
.social-icon--linkedin .tooltip::after{
    border-top-color: #0077B5;
}
.social-icon--signal .tooltip{
  background: #3B45FD;
  columns: currentColor;
}
.social-icon--signal .tooltip::after{
  border-top-color: #3B45FD;
}